package com.usky.demo.mapper;

import com.usky.common.mybatis.core.CrudMapper;
import com.usky.demo.domain.DataRealTime;
import com.usky.demo.domain.SysUser;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 * 用户信息表 Mapper 接口
 * </p>
 *
 * @since 2022-04-21
 */
@Repository
public interface SysUserMapper extends CrudMapper<SysUser> {
    void DeviceRealDataToDB(@Param("list") List<DataRealTime> list);

    void DeviceDataToDB(@Param("list") List<DataRealTime> list,@Param("deviceId") String deviceId);

    Integer existTable(@Param("tableName") String tableName);

    void createTable(@Param("tableName") String tableName);
}
